AI resources

Integration test

Before going live, we recommend testing the proper functioning of your integration and transaction processing. This will allow you to verify if the integration was done correctly and if payments are being processed without errors. See below how to test your integration.

If you wish, before testing your integration you can encrypt your data to perform your test transactions. To learn how to create this encryption, go to Security encryption. Remember that this encryption is only required when going live with your integration, that is, for your real transactions.

To test your integration with Payouts, create transactions by sending a POST, with your test Access TokenPrivate key of the application created in Mercado Pago and used in the backend. You can access it through Your integrations > Integration data > Tests > Test credentials. and the X-Test-Token:true header to the endpoint /v1/payouts/{id}/transactionsAPI so the request is made in a test environment.

  • Transfers between Mercado Pago accounts:

curl

curl --location 'https://api.mercadopago.com/v1/payouts' \
--header 'X-Idempotency-Key: {{SOME_UNIQUE_VALUE}}' \
--header 'Content-Type: application/json' \
--header 'X-Enforce-Signature: false' \
--header 'Authorization: Bearer {{YOUR_ACCESS_TOKEN}}' \
--header 'X-Test-Token: true' \
--data-raw '{
    "external_reference": "global_111",
    "config": {
        "notification_url": "https://your-webhook-endpoint.com/notifications"
    },
    "description": "description_root",
    "schedule_date": "2026-11-13T15:00:00",
    "transactions": [
        {
            "type": "account",
            "description": "description_transaction",
            "account": {
                "email": "test_user_7016385811392037126@testuser.com"
            },
            "amount": {
                "currency": "ARS",
                "value": 1
            },
            "external_reference": "test_mp-mp"
        }
    ]
}'
  • Transfers to other banks from Mercado Pago:

curl

curl --location 'https://api.mercadopago.com/v1/payouts' \
--header 'X-Idempotency-Key: {{SOME_UNIQUE_VALUE}}' \
--header 'Content-Type: application/json' \
--header 'X-Enforce-Signature: false' \
--header 'Authorization: Bearer {{YOUR_ACCESS_TOKEN}}' \
--header 'X-Test-Token: true' \
--data '{
    "external_reference": "global_111",
    "config": {
        "notification_url": "https://your-webhook-endpoint.com/notifications"
    },
    "description": "description_root",
    "schedule_date": "2026-11-13T15:00:00",
    "transactions": [
        {
            "description": "description_transaction",
            "type": "account",
            "account": {
                "holder": "Test payout",
                "number": "646016230131277849",
                "bank_id": "646"
            },
            "amount": {
                "currency": "ARS",
                "value": 10
            },
            "external_reference": "12344"
        }
    ]
}'
To learn how to send the remaining fields to execute this request, go to Integration Configuration.

Ready! Once these steps are completed, the integration is complete and you can go to production.